Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

STActor
STBundleInfo
STContext
STConversation
STEngine
STEnvironment
STEnvironmentDescription
STFileScript
STLanguageManager
STObjectReference
STRemoteConversation
STScript
STScriptObject
STScriptsManager
STSelector
STUndefinedObject

### Protocols

<STConversation>
<STEnvironmentProcess>
<STMethod>
<STScriptObject>
<STScripting>

### Constants

### Functions

STAllObjectiveCClasses
STAllObjectiveCSelectors
STClassDictionaryWithNames
STConstructMethodSignatureForSelector
STFindAllResources
STFindResource
STGetFoundationConstants
STGetValueOfTypeFromObject
STMethodSignatureForSelector
STObjectFromValueOfType
STSelectorFromString
STSelectorFromValue
STUserConfigPath
STValueFromSelector

### Macros

### Types

### Variables

STGenericException
STInternalInconsistencyException
STInvalidArgumentException
STLanguageBundleExtension
STLanguageBundlesDirectory
STLanguagesConfigFile
STLibraryDirectory
STMallocZone
STModuleExtension
STModulesDirectory
STNil
STScriptExtension
STScriptingEnvironmentExtension
STScriptingEnvironmentsDirectory
STScriptingException
STScriptsDirectory

Up

# STExterns documentation

### Authors

Stefan Urbanek (`urbanek@host.sk`)

Date: Generated at 2026-02-09 22:49:36 +0000

Copyright: (C) 2002 Free Software Foundation

# STExterns variables

### STGenericException

NSString* STGenericException;
Description forthcoming.

### STInternalInconsistencyException

NSString* STInternalInconsistencyException;
Description forthcoming.

### STInvalidArgumentException

NSString* STInvalidArgumentException;
Description forthcoming.

### STLanguageBundleExtension

NSString* STLanguageBundleExtension;
Description forthcoming.

### STLanguageBundlesDirectory

NSString* STLanguageBundlesDirectory;
Description forthcoming.

### STLanguagesConfigFile

NSString* STLanguagesConfigFile;
Description forthcoming.

### STLibraryDirectory

NSString* STLibraryDirectory;
Description forthcoming.

### STMallocZone

NSZone* STMallocZone;
Description forthcoming.

### STModuleExtension

NSString* STModuleExtension;
Description forthcoming.

### STModulesDirectory

NSString* STModulesDirectory;
Description forthcoming.

### STNil

STUndefinedObject* STNil;
Description forthcoming.

### STScriptExtension

NSString* STScriptExtension;
Description forthcoming.

### STScriptingEnvironmentExtension

NSString* STScriptingEnvironmentExtension;
Description forthcoming.

### STScriptingEnvironmentsDirectory

NSString* STScriptingEnvironmentsDirectory;
Description forthcoming.

### STScriptingException

NSString* STScriptingException;
Description forthcoming.

### STScriptsDirectory

NSString* STScriptsDirectory;
Description forthcoming.

Up